#include "EthernetNodeCost.h"

namespace cosi {

namespace models {

namespace wiredbas {

EthernetNodeCost::EthernetNodeCost() {
}

EthernetNodeCost::~EthernetNodeCost() {
}

double EthernetNodeCost::GetValue(std::string pComponentName,
		std::string pComponentType, Ports pPorts) {
	//TODO: Refine these costs
	if (pComponentType =="Sensor") {
		return 100;
	} else if (pComponentType =="Actuator") {
		return 100;
	} else if (pComponentType =="Router") {
		return 150;
	} else if (pComponentType =="Gateway") {
		return 100;
	} else if (pComponentType =="Controller") {
		return 100;
	} else {
		return 0;
	}

}

double EthernetNodeCost::GetValue(std::string pComponentName,
		std::string pComponentType, Ports pPorts, double InterfaceSpeed) {
	//TODO: Refine these costs
	if (pComponentType =="Sensor") {
		return 100;
	} else if (pComponentType =="Actuator") {
		return 100;
	} else if (pComponentType =="Router") {
		return 150;
	} else if (pComponentType =="Gateway") {
		return 100;
	} else if (pComponentType =="Controller") {
		return 100;
	} else {
		return 0;
	}

}
}

}

}
